# DescribeCrossRegionBandwidth

## 1. API Description

This API (DescribeCrossRegionBandwidth) is used to query the private cross-region bandwidth list.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name           | Required | Type                                                                                                                       | Description                                                                                              |
| ------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| crossRegionBandwidthIds  | No       | Array of String                                                                                                            | Filter by unique cross-region bandwidth ID.                                                              |
| crossRegionBandwidthName | No       | String                                                                                                                     | Filter by cross-region bandwidth name. This field supports fuzzy matching.                               |
| vpcId                    | No       | String                                                                                                                     | Filter by the global VPC ID.                                                                             |
| regionA                  | No       | String                                                                                                                     | Filter by region A name.                                                                                 |
| regionZ                  | No       | String                                                                                                                     | Filter by region Z name.                                                                                 |
| status                   | No       | [VpcRegionBandwidthStatus](https://docs.console.zenlayer.com/api-reference/compute/datastructure#vpcregionbandwidthstatus) | Filter by state of cross-region bandwidth.                                                               |
| pageSize                 | No       | Integer                                                                                                                    | <p>Number of items in the current page result.</p><p>Default value: 20 ;</p><p>Maximum value: 1000 .</p> |
| pageNum                  | No       | Integer                                                                                                                    | <p>Page number of the current page result.</p><p>Default value: 1 .</p><p>Default value: 1</p>           |
| resourceGroupId          | No       | String                                                                                                                     | Filter by resource group ID.                                                                             |

## 3. Output Parameters

| Parameter Name | Type                                                                                                                                | Description                                                                                                           |
| -------------- | ----------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                                                              | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                                                                             | Number of resources meeting the filtering conditions.                                                                 |
| dataSet        | Array of [CrossRegionBandwidthInfo](https://docs.console.zenlayer.com/api-reference/compute/datastructure#crossregionbandwidthinfo) | Information on list of cross-region bandwidth.                                                                        |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the list of private cross-region bandwidth and filter by name and vpcId.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCrossRegionBandwidth
<Common Request Params>

Request：
{
  "name": "<your cross name>",
  "vpcId": "<your vpc id>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
    "dataSet": [
      {
        "crossRegionBandwidthId": "<your cross id>",
        "crossRegionBandwidthName": "<your cross name>",
        "status": "AVAILABLE",
        "vpcId": "<your vpc id>",
        "regionA": "asia-east-1",
        "regionZ": "asia-north-1",
        "bandwidth": 1000,
        "bandwidthCap": 1200,
        "createTime": "2025-11-12 09:54:52",
        "internetChargeType": "ByInstanceBandwidth95",
        "expiredTime": "2025-12-12 09:54:52",
        "resourceGroupId": "<your resource group id>",
        "resourceGroupName": "<your resource group name>"
      }
    ],
    "totalCount": 1
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
